#include<bits/stdc++.h>

using namespace std;

int main(){
    ifstream fin("castle.in");
    ofstream fin("castle.out");
    #define cin fin
    #define cout fout
    #define int long long
    int n, s;
    cin >> n >> s;
    vector<int> v(n);
    map<long long, long long> m;
    long long z = 0;
    for(int i = 0; i < n; ++i){
        int ai, ki;
        cin >> ai >> ki;
        z += ai;
        m[ki] += ai/ki;
        ++m[ai % ki];
    }
    auto i = m.end();
    --i;
    long long ans = 0;
    auto j = m.begin();
    --j;
    //cout << z << ' ' << ans;
    for(; i != j; --i){
        if((*i).first == 0){
            break;
        }
        //cout << (*i).first << ' ' << (*i).second << endl;
        if((*i).second < s){
            ans += (*i).second * (*i).first;
            s -= (*i).second;
        }
        else{
            ans += (*i).first * s;
            break;
        }
    }
    cout << z - ans;
}
